Commit 56f18678 authored by Jan Rasmus Tikovsky 's avatar Jan Rasmus Tikovsky

Updated to version 0.4.0

parent 33406985
...@@ -4,6 +4,19 @@ Change log for curry-frontend ...@@ -4,6 +4,19 @@ Change log for curry-frontend
Under development Under development
================= =================
Version 0.4.0
=============
* Refactored AbstractCurry generation
* Complete refactoring of FlatCurry generation
* Removed support for Curry's record syntax and introduced Haskell's record
syntax instead
* During desugaring record updates are translated to fcase-expressions instead
of introducing explicit update functions
* HTML generation now places HTML files for hierarchical modules into * HTML generation now places HTML files for hierarchical modules into
files named `<Module>_curry.html`, i.e., no sub-folders reflecting files named `<Module>_curry.html`, i.e., no sub-folders reflecting
the the module name hierarchy are generated. In addition, if the option the the module name hierarchy are generated. In addition, if the option
......
Name: curry-frontend Name: curry-frontend
Version: 0.3.10 Version: 0.4.0
Cabal-Version: >= 1.6 Cabal-Version: >= 1.6
Synopsis: Compile the functional logic language Curry to several Synopsis: Compile the functional logic language Curry to several
intermediate formats intermediate formats
...@@ -36,7 +36,7 @@ Flag network-uri ...@@ -36,7 +36,7 @@ Flag network-uri
Executable cymake Executable cymake
hs-source-dirs: src hs-source-dirs: src
Main-is: cymake.hs Main-is: cymake.hs
Build-Depends: base == 4.*, curry-base == 0.3.10 Build-Depends: base == 4.*, curry-base == 0.4.0
, containers, directory, mtl, process, transformers, syb , containers, directory, mtl, process, transformers, syb
if flag(network-uri) if flag(network-uri)
build-depends: network-uri >= 2.6 build-depends: network-uri >= 2.6
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment